# List all live newsfeed items

You can fetch a list of all news items that are live on a given newsfeed
News items are returned most recently published first.
Requires the `read_news_scope` or `read_write_news_scope` OAuth scope.

Endpoint: GET /news/newsfeeds/{newsfeed_id}/items
Version: 2.18
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `newsfeed_id` (string, required)
    The unique identifier for the news feed item which is given by Intercom.

## Query parameters:

  - `page` (integer)
    The page of results to fetch.

  - `per_page` (integer)
    The number of news items to return per page. Values above 20 are reduced to 20.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200:

  - `200` (unknown)
    successful

## Response 200 fields (application/json):

  - `type` (string)
    The type of object
    Enum: "list"

  - `pages` (object)
    The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

  - `pages.type` (string)
    Enum: "pages"

  - `pages.page` (integer)
    Example: 1

  - `pages.next` (string)
    A link to the next page of results. Omitted or `null` on the last page, depending on the list. Some lists never include `next` or `prev`, so compare `page` with `total_pages` to tell whether more pages remain.

  - `pages.prev` (string)
    A link to the previous page of results. Omitted on the first page.

  - `pages.per_page` (integer)
    Example: 50

  - `pages.total_pages` (integer)
    Example: 1

  - `total_count` (integer)
    A count of the total number of objects.
    Example: 1

  - `data` (array)
    An array of Objects

  - `data.type` (string)
    The type of object.
    Enum: "news-item"

  - `data.id` (string)
    The unique identifier for the news item which is given by Intercom.
    Example: 141

  - `data.workspace_id` (string)
    The id of the workspace which the news item belongs to.
    Example: t74hdn32

  - `data.title` (string)
    The title of the news item.
    Example: New feature: News Items

  - `data.body` (string)
    The news item body, which may contain HTML.
    Example: We are excited to announce the launch of News Items, a new content type in Intercom enabling you to announce product updates, company news, promotions, events and more with your customers.

  - `data.sender_id` (integer)
    The id of the sender of the news item. Must be a teammate on the workspace.
    Example: 123

  - `data.state` (string)
    News items will not be visible to your users in the assigned newsfeeds until they are set live.
    Enum: "draft", "live"

  - `data.newsfeed_assignments` (array)
    A list of newsfeed_assignments to assign to the specified newsfeed.

  - `data.newsfeed_assignments.newsfeed_id` (integer)
    The unique identifier for the newsfeed which is given by Intercom.
    Example: 198313

  - `data.newsfeed_assignments.published_at` (integer)
    Publish date of the news item on the newsfeed, use this field if you want to set a publish date in the past (e.g. when importing existing news items). On write, this field will be ignored if the news item state is "draft", and a date in the future is rejected with a `400`. Null while the news item isn't live.
    Example: 1674917488

  - `data.labels` (array)
    Label names displayed to users to categorize the news item, sorted with uppercase letters before lowercase.

  - `data.cover_image_url` (string)
    URL of the image used as cover. Must have .jpg or .png extension. Intercom copies the image you send on write, so the URL returned here is a signed Intercom URL that expires; fetch the news item again for a fresh one.
    Example: https://example.com/cover.jpg

  - `data.reactions` (array)
    Ordered list of emoji reactions to the news item. When empty, reactions are disabled. An update that leaves out `reactions` also disables them but leaves this list as it was.

  - `data.deliver_silently` (boolean)
    When set to true, the news item will appear in the messenger newsfeed without showing a notification badge.
    Example: true

  - `data.created_at` (integer)
    Timestamp for when the news item was created.
    Example: 1610589632

  - `data.updated_at` (integer)
    Timestamp for when the news item was last updated.
    Example: 1610589632

  - `data.published_at` (integer)
    Timestamp for when the news item last went live. Null if the news item has never been live.
    Example: 1610589632

  - `data.id` (string)
    The unique identifier for the newsfeed which is given by Intercom.
    Example: 12312

  - `data.type` (string)
    The type of object.
    Enum: "newsfeed"

  - `data.name` (string)
    The name of the newsfeed. This name will never be visible to your users. Returned HTML-escaped, for example `&` as `&amp;`. The News Center newsfeed always returns the name `News center newsfeed`.
    Example: My Newsfeed

  - `data.created_at` (integer)
    Timestamp for when the newsfeed was created.
    Example: 1674917488

  - `data.updated_at` (integer)
    Timestamp for when the newsfeed was last updated.
    Example: 1674917488

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 404:

  - `404` (unknown)
    Newsfeed not found. If News is not enabled on the workspace the response has no body.

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 200 examples:

  - `successful` (unknown)

## Response 400 examples:

  - `Per page too small` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

  - `Token lacks required scope` (unknown)

## Response 404 examples:

  - `Newsfeed Not Found` (unknown)

